#version 330 core

layout (location = 0) in vec3 aPosition;

uniform mat4 uModel;
uniform mat4 uView;
uniform mat4 uProjection;

out vec4 vPosition;

void main() {
	vPosition = uModel * vec4(aPosition, 1);
	gl_Position = uProjection * uView * vPosition;
}